[Bug c++/20028] [3.4 Regression] class and then template class gives an ICE

pinskia at gcc dot gnu dot org gcc-bugzilla@gcc.gnu.org
Fri Feb 18 04:12:00 GMT 2005


------- Additional Comments From pinskia at gcc dot gnu dot org  2005-02-17 21:26 -------
(In reply to comment #7)
> If the code is wrong, what accounts for the fact that wrong code would compile 
> on 3.2 and not on 3.3 or 3.4?  Also, Alexandrescu did not write it wrong, as it 
> is also used in his Loki library that is known to compile under GCC as well as 
> other compilers.

Because it was a bug in 3.2 and before.  It does not compile with a slightly older EDG front-end.

-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20028



More information about the Gcc-bugs mailing list